//----------------------------------------------------------------------------*
//工 程 名:AW60液晶(LCD)                                                      *
//硬件连接:(1)PTA口的PTA0-PTA7与LCD数据线的D0-D7连接(若LCD接上排孔则不必连接) *
//         (2)PTC0与LCD的使能信号 RS 连接                                     *
//         (3)PTC1与LCD的读写信号 RW 连接                                     *
//         (4)PTC2与LCD的片选信号 E  连接                                     *
//程序描述:                                                                   *
//         (1)初始显示:                                                       *
//            "Wait Receiving.."                                              *
//            "Soochow 2009.09."                                              *
//         (2)MCU等待接收PC发来的32个字符,并送LCD显示                         *
//目    的:熟悉LCD编程                                                        *
//说    明:波特率为9600,使用SCI1口                                           *
//----------------------------苏州大学嵌入式系统实验室------------------------*
#include "Includes.h"

//在此添加全局变量定义


void main(void)
{
    //定义初始显示缓存并赋初值
    uint8 g_DispalyInit[33] = "Wait Receiving..Soochow 2009.09.";
     //receive_data中存放从串口接收来的要被显示的32个数据
    uint8 receive_data[32];
    //1 关总中断
    DisableInterrupts();     //禁止总中断
    //2 芯片初始化
    MCUInit();
    //3 LCD初始化
    LCDinit();
    //4串行口初始化
    //使用SCI1模块,使用系统时钟作为SCI的时钟源
    //波特率为9600
    SCIInit(1,SYSTEM_CLOCK,9600);
    LCDshow((uint8 *)g_DispalyInit);//显示初始字符
 
    //5开放中断
    EnableInterrupts();      //开放总中断
    
    LCDshow((uint8 *)g_DispalyInit);//显示初始字符
    //5 主循环                                                                                                              
    while (1)                      
    {
        
        //接收PC发送的32个数据,并存放到receive_data数组中
        if (0 == SCIReN(1,32,receive_data)) //接收成功
        {   
            SCISendN(1,32,receive_data);
            //LCD显示MCU从串口接收到的32个数据并返回给PC
            LCDshow((uint8 *)receive_data);
             
        } 
    }
}
